package edu.chl.hajo.monopoly.core;

import edu.chl.hajo.monopoly.core.space.Space;
import java.util.Collection;

/**
 * Interface to model, used by GUI and/or control
 *
 * @author hajo
 */
public interface IMonopoly {

    // Mutators
    void move();

    void next();

    void payDept();

    void sell(Space s);

    void buy();
    
    // Accessors
    Player getActual();

    Board getBoard();

    DicePair getDicePair();

    Collection<Player> getPlayers();

}
