
package edu.chl.hajo.monopoly.core.visitor;

import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.core.space.Space;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Tax;

/**
 * A concrete visitor
 * @author hajo
 */
public class SellVisitor implements IVisitor {

    @Override
    public void visit(Space a, Player actual) {
    }

    @Override
    public void visit(Property p, Player actual) {
        if( p.getOwner() == actual /* and no houses */){
            p.setOwner(Player.NONE);
            actual.income(p.getPrice());
        }
    }

    @Override
    public void visit(Tax t, Player actual) {
    }

}
