package edu.chl.hajo.monopoly.view;

import java.awt.Graphics;

import edu.chl.hajo.monopoly.core.space.Street;
import edu.chl.hajo.monopoly.view.details.StreetDetails;
/**
 * Display of Street
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class StreetPanel extends PropertyPanel {

	private Street street;
	
	public StreetPanel(Street street) {
		super(street);
		this.street = street;
	}

	@Override
	protected void showDetails() {
		new StreetDetails(this, street).setVisible(true);
	}
	
	@Override
	public void paintComponent(Graphics g) { 
		 super.paintComponent(g);
	 }
}
