package edu.chl.hajo.monopoly.ctrl;

import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.rules.Rules;
/**
 * Control
 * @author hajo
 *
 */
class SellPropertyCtrl extends AbstractControl{
	
	Property property;
	
	public SellPropertyCtrl(Property property) {
		this.property = property;
	}

	public void execute() {
		
		if( !Rules.sellPropertyEnabled(property)){
			return;
		}
		
		Player p = g.getActualPlayer();
		p.removeProperty(property);
		property.setOwner(null);
		p.addIncome(property.getPrice());	
	}

}
