package monopoly01alt;

/**
 * A single player of the game
 *  
 * @author hajo
 * 
 */
public class Player {

    private final Piece piece;
    private final String name;
    private Debt debt;

    public Player(String name, Piece piece) {
        this.name = name;
        this.piece = piece;
    }

    @Override
    public String toString() {
        return name + ":" + piece;
    }

    public Piece getPiece() {
        return piece;
    }

    public String getName() {
        return name;
    }

    public void addDebt(Debt debt) {
        this.debt = debt;
    }

}
