package monopoly01alt;

import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

/**
 * NOTE this is no real unit testing it's a  simple
 * way to run the model
 * @author hajo
 *
 */
public class TestMonopoly01alt {

    Monopoly01alt mp;

    @Before
    public void before() {
        Player p1 = new Player("Pelle", Piece.CAR);
        Player p2 = new Player("Fia", Piece.DOG);
        List<Player> players = new ArrayList<>();
        players.add(p1);
        players.add(p2);
        Dice dice = new Dice(2);
        List<Space> spaces = new ArrayList<>();
        for (int i = 0; i < 10; i++) { 
            spaces.add(new Space(String.valueOf(i), 500));
        }
        spaces.get(0).addVisitor(p1);
        spaces.get(0).addVisitor(p2);
        Board board = new Board(spaces);
        mp = new Monopoly01alt(dice, board, players);
    }

    //@Test
    public void testOnePlayerMakesAMove() {
        mp.move();
        System.out.println(mp);
        assertTrue(true);
    }

    @Test
    public void testOnePlayerMakesAMoveThenSwitchPlayer() {
        for (int i = 0; i < 10; i++) {
            mp.move();
            System.out.println(mp);
            mp.endTurn();
        }
        assertTrue(true);
    }

}
