package mvc;

import javax.swing.SwingUtilities;

/**
 * MVC minimal demo
 *              
 * This is fairly standard, main method in Main-class
 * @author hajo
 *
 */
public class Main {

	public static void main(String[] args) {
		// This is the way to construct the GUI
		// (in the Swing event thread)
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				MainFrame mf = new MainFrame();
				mf.setLocationRelativeTo(null);
				mf.setVisible(true);
			}
		});
	}

}
