package rmi;


import java.rmi.RemoteException;

/**
 * The server
 * 
 * @author hajo
 * 
 */
public class Server implements IServer {

   
    private final int registryPort;
    private final int serverPort;
   

    public Server(int registryPort, int serverPort) {
        this.registryPort = registryPort;
        this.serverPort = serverPort;
      

    }

    // IServer ------------------------------------------------

    @Override
    public String ping() throws RemoteException {
        return "Alive at serverPort " + serverPort + ". Registry port is "
                + registryPort;
    }

   
}
