package edu.chl.hajo.td;

import edu.chl.hajo.td.core.Monster;
import edu.chl.hajo.td.core.Path;
import java.util.ArrayList;
import java.util.List;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author hajo
 */
public class TestPath {

    @Test
    public void testStraitLinePath() {
        List<Path.Position> pos = new ArrayList<>();
        // Strait line
        for (int x = 0; x < 200; x++) {
            pos.add(new Path.Position(x, 200));
        }
        Path path = new Path(pos);

        // TODO asserts
        System.out.println(path.getActual());
        System.out.println(path.next());
        System.out.println(path.next());
        System.out.println(path.next());
    }

    @Test
    public void testPathFinished() {
        List<Path.Position> pos = new ArrayList<>();
        // Strait line
        for (int x = 0; x < 200; x++) {
            pos.add(new Path.Position(x, 200));
        }
        Path path = new Path(pos);
        for (int x = 0; x < 199; x++) {
            path.next();
        }
        assertTrue(path.getActual() != Path.NO_POSITION);
       
        path = new Path(pos);
        for (int x = 0; x < 200; x++) {
            path.next();
        }

        assertTrue(path.getActual() == Path.NO_POSITION);
    }
}
