package edu.chl.hajo.monopoly;

import edu.chl.hajo.monopoly.gui.MainFrame;
import java.lang.reflect.InvocationTargetException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.SwingUtilities;

/**
 * Application entry
 * @author hajo
 */
public class Main {

    public static void main(String[] args) {
        try {
            SwingUtilities.invokeAndWait(() -> {
                MainFrame mf = MainFrame.getInstance();
                mf.setLocationRelativeTo(null);
                mf.setVisible(true);
            });
        } catch (InterruptedException | InvocationTargetException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }

    }
}
