package edu.chl.hajo.monopoly.view.dialog;

import javax.swing.JFrame;

import edu.chl.hajo.monopoly.core.Locator;
import edu.chl.hajo.monopoly.core.space.Tax;



/**
 * A dialog to pay tax
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class PayTaxDialog extends AbstractEventDialog {

	private Tax tax;

	public PayTaxDialog(JFrame parent, Tax tax) {
		super(parent);
		this.tax = tax;
	}

	@Override
	public void execute() {
		Locator.getGame().getPlayer().withdraw(tax.getTax());
		this.dispose();
	}
}
