package edu.chl.hajo.monopoly.view;

import edu.chl.hajo.monopoly.core.space.NonProperty;
import edu.chl.hajo.monopoly.view.details.JailDetails;
import edu.chl.hajo.monopoly.view.details.NonPropertyDetails;

/**
 * View of NonProperty
 * 
 * @author hajo
 * 
 */
@SuppressWarnings("serial")
public class NonPropertyPanel extends AbstractSpacePanel {

	private NonProperty nonProperty;

	protected void showDetails() {
		if (nonProperty.getName().equals("jail")) {
			new JailDetails(this, nonProperty).setVisible(true);
		} else {
			new NonPropertyDetails(this, nonProperty).setVisible(true);
		}
	}

	public NonPropertyPanel(NonProperty nonProperty) {
		super(nonProperty);
		this.nonProperty = nonProperty;
	}
}
