package edu.chl.hajo.mply.core;

/**
 * A player
 * 
 * @author hajo
 * 
 */

public class Player {


    private String name;
    private int balance;

   
    public Player(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void income(int income) {
        balance += income;
    }

    public void expense(int expence) {
        if (expence > balance) {
            // TODO have to handle
        }
        balance -= expence;
    }

    //TODO  Should player be handed to dice to roll?
    public int roll(Dice d) {
        // TODO if in jail
        return d.roll();
    }

    @Override
    public String toString() {
        return "plyer[" + name + ", balance=" + balance + "]";
    }

    public void sell(Space space) {
        space.setOwner(null);
    }

    public void buy(Space space) {
       space.setOwner(this);     
    }
}
