package edu.chl.hajo.mply.core;

/**
 * 
 * This is where the player puts their pieces
 * (streets, railroads, corners, jail, etc..)
 * @author hajo
 *
 */
public class Space {
	
    // Ordinal number for space (normally 0-39)
    private final int id;  // TODO Needed??
	private final String name;
	private Player owner;
	// A lot more pictures...
	
	public Space(int id, String name) {
		this.name = name;
		this.id = id;
	}

	public String getName() {
		return name;
	}
	
	public int getId() {
        return id;
    }

    @Override
    public String toString() {
        return "sp[" + id + "," + name + "," + owner + "]";
    }

    public boolean isProperty() {
        return true;
    }

    public Player getOwner() {
        return owner;
    }

    public void setOwner(Player owner) {
       this.owner = owner; 
    }	
}
