package edu.chl.hajo.monopoly04.model;



/**
 * A single player of the game
 *  
 * @author hajo
 * 
 */
public class Player implements IPlayer {

    private final Piece piece;
    private final String name;
    //private final List<Card> cards = new ArrayList<>();
    private int balance;
    private Debt debt;
    private boolean isInJail;

    public Player(String name, Piece piece, int balance) {
        this.name = name;
        this.piece = piece;
        this.balance = balance;
    }

    public boolean buy(Space s) {
        return false;
    }

    public boolean sell(Space s) {
        return false;
    }

    @Override
    public String toString() {
        return piece + " " + debt; // + " " + cards;
    }

    public Piece getPiece() {
        return piece;
    }
/*
    public void addCard(Card card) {
        cards.add(card);
    }
*/
    public int getBalance() {
        return balance;
    }

    public void withdraw(int balance) {
        this.balance -= balance;
    }

    public void income(int balance) {
        this.balance += balance;
    }

    public void addDebt(Debt debt) {
        this.debt = debt;
    }

    @Override
    public boolean hasDebt() {
        return debt != null;
    }

    public Debt removeDebt() {
        Debt d = debt;
        debt = null;
        return d;
    }

    @Override
    public String getName() {
        return name;
    }

    public boolean isInJail() {
        return isInJail;
    }

    public void setInJail(boolean b) {
        isInJail = b;
    }

    @Override
    public Debt getDept() {
        return debt;
    }

}
